// ASHLEY - YOUR HOTTIE BABYSITTER REDUX
// (MAIN MENU)
// By Banjo
// banjosbbs@hotmail.com
// www.banjosbbs.blogspot.com
// Version 1.13
//
// CREDITS:
// Script by Banjo, based on his original CyberMistress routines of the same name.
// Thanks to everyone from the old CyberMistress community for their past feedback, help and encouragement.
// Opponent images sourced from various free web preview galleries.
// Spanking sounds recorded and edited by Banjo.
// Other sounds sourced from various free resource libraries online.
//
// COPYRIGHT:
// This script, from http://ss.deviatenow.com, is protected by this licence:
// CC BY-NC-ND, see http://creativecommons.org/licenses/by-nc-nd/4.0/
// This copyright refers only to this script itself; it does not include any other included resources (images, music, sounds, etc.) which remain the property of their owners.
//
// SCRIPT RESOURCES
// This contains a list of files included with the script when published to the SexScripts website
/*
 * Resources
 * scripts/Banjo/ashleybabysitter.groovy
 * scripts/Banjo/ashleycheater.groovy
 * scripts/Banjo/ashleyoutfitsHB.groovy
 * scripts/Banjo/ashleyweeklyspank.groovy
 * scripts/Banjo/ashleyYHBS.groovy
 * images/AshleyYHBS/System/*.jpg
 * images/AshleyYHBS/HB/HB1/*.jpg
 * sounds/banjo/alarms/alarmclock_bells.wav
 * sounds/banjo/alarms/alarmclock_buzz.wav
 * sounds/banjo/AshleyYHBS/shescumming.wav
 * run_ashley.bat
 * sounds/spanks/*.wav
 * images/logo.png
 * images/implements.png
 * scripts/system/implements.groovy
 * run_config_implements.bat
 */
//

//Metadata
setInfos(7, "Ashley - Your Hottie Babysitter",
	"Your hottie babysitter is back! Note: requires all 'Outfit Packs' be downloaded too (get them here: http://ss.deviatenow.com/viewtopic.php?f=7&t=570).",
	"Banjo",
	"v1.13", 0xFFFFFF, "en",
	["spanking", "pain", "femaledom", "formale", "CyberMistress", "AYHBS"]);

//Version
def version = "1.13"
save("Banjo.ashley.version",version)

//Setup
def choice = 0
def message = ""

//Domme Installed
def installedDomme = false
if(loadInteger("domme.attitude")!=null)
	installedDomme = true

//Difficulty Settings
//Cornertime Bonus (increases all cornertime by this many minutes)
def cornertimeBonus = loadInteger("Banjo.ashley.cornertimeBonus")
if(cornertimeBonus==null) {
	cornertimeBonus = 0
	save("Banjo.ashley.cornertimeBonus",cornertimeBonus)
}
//Swat Multiplier (multiplies the number of all swats you get per 'set' by this factor)
def swatsMultiplier = loadInteger("Banjo.ashley.swatsMultiplier")
if(swatsMultiplier==null) {
	swatsMultiplier = 1
	save("Banjo.ashley.swatsMultiplier",swatsMultiplier)
}
//Swats Speed Modifier (extends the time between all swats by this many seconds)
def swatsThrottle = loadInteger("Banjo.ashley.swatsThrottle")
if(swatsThrottle==null) {
	swatsThrottle = 0
	save("Banjo.ashley.swatsThrottle",swatsThrottle)
}

//Mistress Setup
def mistressName = loadString("Banjo.ashley.mistressName")
def mistressTitle = loadString("Banjo.ashley.mistressTitle")
def mistressRelation = loadString("Banjo.ashley.mistressRelation")
def mistressFamiliar = loadString("Banjo.ashley.mistressFamiliar")
def mistressGender = loadString("Banjo.ashley.mistressGender")
def mistressSheHe = loadString("Banjo.ashley.mistressSheHe")
def mistressHerHim = loadString("Banjo.ashley.mistressHerHim")
def mistressHerHis = loadString("Banjo.ashley.mistressHerHis")
def mistressDomme = loadBoolean("Banjo.ashley.mistressDomme")

def mistressGenderSet = {
	if(mistressGender=="female") {
		mistressSheHe = "she"
		mistressHerHim = "her"
		mistressHerHis = "her"
	} else {
		mistressSheHe = "he"
		mistressHerHim = "him"
		mistressHerHis = "his"
	}
}

def mistressSetDomme = {
	mistressName = "Domme"
	mistressTitle = ""
	mistressRelation = "Disciplinarian"
	mistressFamiliar = "Disciplinarian"
	mistressGender = "female"
	mistressGenderSet()
	mistressDomme = true
	save("Banjo.ashley.mistressName",mistressName)
	save("Banjo.ashley.mistressTitle",mistressTitle)
	save("Banjo.ashley.mistressRelation",mistressRelation)
	save("Banjo.ashley.mistressFamiliar",mistressFamiliar)
	save("Banjo.ashley.mistressGender",mistressGender)
	save("Banjo.ashley.mistressSheHe",mistressSheHe)
	save("Banjo.ashley.mistressHerHim",mistressHerHim)
	save("Banjo.ashley.mistressHerHis",mistressHerHis)
	save("Banjo.ashley.mistressDomme",mistressDomme)
}

def mistressSet = {
	if(mistressName==null) {
		mistressName = ""
		mistressTitle = ""
		mistressRelation = ""
		mistressFamiliar = ""
	}
	mistressName = getString("Guardian/Dominant's Name:\n\n(e.g. Megan, Amelia, Steven, etc.)",mistressName)
	if(getBoolean("Guardian/Dominant's Gender:","Female","Male"))
		mistressGender = "female"
	else
		mistressGender = "male"
	mistressGenderSet()
	mistressTitle = getString("Guardian/Dominant's Title:\n\n(e.g. Mistress, Princess, Auntie, Mommy, etc.)\n\n(Make blank for none)",mistressTitle)
	mistressRelation = getString("Guardian/Dominant's Relationship (formal):\n\n(e.g. Mistress, uncle, mother, wife, boyfriend, manager, stepsister, etc.)",mistressRelation)
	mistressFamiliar = getString("Guardian/Dominant's Relationship (informal):\n\n(e.g. auntie, mommy, daddy, boss, big sis, etc.)\n\n(Can be the same as the 'formal' entry if you prefer)",mistressFamiliar)
	mistressDomme = false
	save("Banjo.ashley.mistressName",mistressName)
	save("Banjo.ashley.mistressTitle",mistressTitle)
	save("Banjo.ashley.mistressRelation",mistressRelation)
	save("Banjo.ashley.mistressFamiliar",mistressFamiliar)
	save("Banjo.ashley.mistressGender",mistressGender)
	save("Banjo.ashley.mistressSheHe",mistressSheHe)
	save("Banjo.ashley.mistressHerHim",mistressHerHim)
	save("Banjo.ashley.mistressHerHis",mistressHerHis)
	save("Banjo.ashley.mistressDomme",mistressDomme)
}

def mistressChoose = {
	if(installedDomme) {
		if(getBoolean("Who has sent Ashley to visit you?","Domme","Someone Else"))
			mistressSetDomme()
		else
			mistressSet()
	} else {
		mistressSet()
	}
}

//Change Evaluation Perioid
def resetEvaluation = {
	def lastTime = 0
	save("Banjo.ashley.lastTime",lastTime)
}

def editEvaluations = {
	def evalTime = loadInteger("Banjo.ashley.evalTime")
	def evalPeriod = loadString("Banjo.ashley.evalPeriod")
	if(evalTime==null)
		evalTime = 604800
	if(evalPeriod==null)
		evalPeriod = "week"
	if(evalTime==604800)
		evalPeriod = "week"
	else if(evalTime==86400)
		evalPeriod = "day"
	else if(evalTime==3600)
		evalPeriod = "hour"
	else if(evalTime==0)
		evalPeriod = "time I feel like it"
	else
		evalPeriod = ""+evalTime+" seconds"
	choice = getSelectedValue("How often do you want Ashley to visit to evaulate your behaviour?\n\nCurrently set to: every "+evalPeriod+".", 
		["Weekly","Daily","No Limit","Custom"])
	if(choice==0) {
		evalTime = 604800
		evalPeriod = "week"
	} else if (choice==1) {
		evalTime = 86400
		evalPeriod = "day"
	} else if (choice==2) {
		evalTime = 0
		evalPeriod = "time I feel like it"
	} else if (choice==3) {
		evalTime = getInteger("Enter the number of seconds between Ashley's evaluations:\n\n(example: hourly evaluations would require '3600')",3600)
		evalPeriod = ""+evalTime+" seconds"
	}
	save("Banjo.ashley.evalTime",evalTime)
	save("Banjo.ashley.evalPeriod",evalPeriod)
//	resetEvaluation()
}

//Edit Attitude
def editAttitude = {
	def attitudeCurr = loadInteger("Banjo.ashley.attitude")
	if(attitudeCurr==null)
		attitudeCurr = 60
	def attitude = getInteger("Edit Behaviour score\n\n(1-100, where lower = naughtier):",attitudeCurr)
	if(attitude<1)
		attitude = 1
	if(attitude>100)
		attitude = 100
	save("Banjo.ashley.attitude",attitude)
	if(mistressDomme) {
		if(getBoolean("Overwrite Behaviour score ('attitude') for Domme as well?","Yes","No"))
			save("domme.attitude",attitude)
	}
}

//Edit Mood
def editMood = {
	choice = getSelectedValue("What Mood do you want Ashley to be in?\n\n(Note: some of these have not been implemented yet)", 
		["Normal Mood","Bad Mood","Horny Mood","Busy","Not Busy"])
	if(choice==0) {
		save("Banjo.ashley.horny",false)
		save("Banjo.ashley.badmood",false)
	} else if (choice==1) {
		save("Banjo.ashley.horny",false)
		save("Banjo.ashley.badmood",true)
	} else if (choice==2) {
		save("Banjo.ashley.horny",true)
		save("Banjo.ashley.badmood",false)
	} else if (choice==3) {
		save("Banjo.ashley.busy",true)
	} else if (choice==4) {
		save("Banjo.ashley.busy",false)
	}
}

//Edit Availability
def editAvailability = {
	choice = getSelectedValue("Is Ashley busy?", 
		["Busy","Sexytimes","Not Busy"])
	if(choice==0) {
		save("Banjo.ashley.busy",true)
		save("Banjo.ashley.sexytimes",false)
	} else if (choice==1) {
		save("Banjo.ashley.busy",true)
		save("Banjo.ashley.sexytimes",true)
	} else if (choice==2) {
		save("Banjo.ashley.busy",false)
		save("Banjo.ashley.sexytimes",false)
	}
}

//Skip Intro
def skipIntro = {
	save("Banjo.ashley.met",true)	
}

def setPersonalInfo = {
	def age = getInteger("How old are you?",21)
	def ageDifference = age - 21
	save("Banjo.ashley.knowsyourage",true)
	save("Banjo.ashley.age",age)
	save("Banjo.ashley.agedifference",ageDifference)
	def eyes = getString("What colour are your eyes?","")
	save("Banjo.ashley.eyes",eyes)
	save("Banjo.ashley.knowsyoureyes",true)
	def buns
	if(getBoolean("Is your butt firm or chubby?","Firm","Chubby"))
		buns = "firm"
	else
		buns = "chubby"
	save("Banjo.ashley.buns",buns)
	save("Banjo.ashley.knowsyourbuns",true)
	if(getBoolean("Do you like receiving oral sex?","Yes","No"))
		save("Banjo.ashley.youlikegettingoral",true)
	else
		save("Banjo.ashley.youlikegettingoral",false)
	if(getBoolean("Do you like giving oral sex?","Yes","No"))
		save("Banjo.ashley.youlikegivingoral",true)
	else
		save("Banjo.ashley.youlikegivingoral",false)
	resetEvaluation()
}

//Edit severity of punishments
def editDifficulty = {
	def menuDifficulty = true
	while(menuDifficulty) {
		setImage("AshleyYHBS/System/Ashley_Loading.jpg")
		choice = getSelectedValue("What setting would you like to change?\n\n", 
			["Back","Swat Multiplier","Swat Speed","Cornertime Bonus"])
		if(choice==0) {
			menuDifficulty = false
		} else if(choice==1) {
			swatsMultiplier = getInteger("Enter a number.\n\nThis setting multiplies the amount of swats you get per 'set' by this factor.\n\nDefault = 1\n(Max = 5)",swatsMultiplier)
			if(swatsMultiplier<1)
				swatsMultiplier = 1
			if(swatsMultiplier>5)
				swatsMultiplier = 5
			save("Banjo.ashley.swatsMultiplier",swatsMultiplier)
		} else if (choice==2) {
			swatsThrottle = getInteger("Enter a number.\n\nThis setting extends the time between all swats by this many seconds.\n\nDefault = 0\n(Max = 10)",swatsThrottle)
			if(swatsThrottle<0)
				swatsThrottle = 0
			if(swatsThrottle>10)
				swatsThrottle = 10
			save("Banjo.ashley.swatsThrottle",swatsThrottle)
		} else if (choice==3) {
			cornertimeBonus = getInteger("Enter a number.\n\nThis setting increases all cornertime by this many minutes.\n\nDefault = 0\n(Max = 60)",cornertimeBonus)
			if(cornertimeBonus<0)
				cornertimeBonus = 0
			if(cornertimeBonus>60)
				cornertimeBonus = 60
			save("Banjo.ashley.cornertimeBonus",cornertimeBonus)
		}
	}
}

//Reset Fear & Devotion
def resetFearAndDevotion = {
	def fearfactor = loadInteger("Banjo.ashley.fearfactor")
	if(fearfactor==null) {
		fearfactor = 0
		save("Banjo.ashley.fearfactor",0)
	}
	def devotion = loadInteger("Banjo.ashley.devotion")
	if(devotion==null) {
		devotion = 0
		save("Banjo.ashley.devotion",0)
	}
	message = "Fear is the measure of how 'afraid' of Ashley you are, and how often you show cowardice and act like a 'crybaby'.\nCurrently this is "+fearfactor+".\n\n"
	message = message + "Devotion is the measure of how 'fond' of Ashley you are, and how obedient you are to her commands and wishes.\nCurrently this is "+devotion+"."
	if(getBoolean(message+"\n\nDo you want to reset your Fear and Devotion to 0?","Yes","No")) {
		save("Banjo.ashley.fearfactor",0)
		save("Banjo.ashley.devotion",0)
		show("Changes saved.")
		showButton("Okay")
	} else {
		show("No changes have been made.")
		showButton("Okay")
	}
}

//Total Reset
def resetAll = {
	save("Banjo.ashley.version",version)
	save("Banjo.ashley.configimplements",null)
	save("Banjo.ashley.cornertimeBonus",0)
	save("Banjo.ashley.swatsMultiplier",1)
	save("Banjo.ashley.swatsThrottle",0)
	save("Banjo.ashley.mistressName",null)
	save("Banjo.ashley.mistressTitle",null)
	save("Banjo.ashley.mistressRelation",null)
	save("Banjo.ashley.mistressFamiliar",null)
	save("Banjo.ashley.mistressGender",null)
	save("Banjo.ashley.mistressSheHe",null)
	save("Banjo.ashley.mistressHerHim",null)
	save("Banjo.ashley.mistressHerHis",null)
	save("Banjo.ashley.mistressDomme",null)
	save("Banjo.ashley.age",null)
	save("Banjo.ashley.eyes",null)
	save("Banjo.ashley.buns",null)
	save("Banjo.ashley.dicksize",null)
	save("Banjo.ashley.sporty",null)
	save("Banjo.ashley.morningperson",null)
	save("Banjo.ashley.nightowl",null)
	save("Banjo.ashley.met",null)
	save("Banjo.ashley.behaved",null)
	save("Banjo.ashley.meanturnsyouon",null)
	save("Banjo.ashley.knowsyourage",null)
	save("Banjo.ashley.knowsyoureyes",null)
	save("Banjo.ashley.knowsyourbuns",null)
	save("Banjo.ashley.knowsyourdick",null)
	save("Banjo.ashley.youlikegettingoral",null)
	save("Banjo.ashley.youlikegivingoral",null)
	save("Banjo.ashley.knowsyoursportiness",null)
	save("Banjo.ashley.knowsyoursleephabits",null)
	save("Banjo.ashley.lastbehaviour",null)
	save("Banjo.ashley.fearfactor",0)
	save("Banjo.ashley.devotion",0)
	save("Banjo.ashley.agedifference",null)
	save("Banjo.ashley.toldfibs",null)
	save("Banjo.ashley.dickhard",null)
	save("Banjo.ashley.wasbrave",null)
	save("Banjo.ashley.beggedformercy",null)
	save("Banjo.ashley.wassassy",null)
	save("Banjo.ashley.wasnaughty",null)
	save("Banjo.ashley.needmaintenance",null)
	save("Banjo.ashley.confessed",null)
	save("Banjo.ashley.gotassfucked",null)
	save("Banjo.ashley.lastTime",null)
	save("Banjo.ashley.evalTime",null)
	save("Banjo.ashley.evalPeriod",null)
	save("Banjo.ashley.weeklyOkay",null)
	save("Banjo.ashley.dueEvaluation",null)
	save("Banjo.ashley.firstSession",null)
	save("Banjo.ashley.gotdoubleextras",null)
	save("Banjo.ashley.gotextra4bad",null)
	save("Banjo.ashley.lastvolleyextras",null)
	save("Banjo.ashley.cornertimeHands",null)
	save("Banjo.ashley.spanksthighs",null)
	save("Banjo.ashley.spanksinnerthighs",null)
	save("Banjo.ashley.spankscrowns",null)
	save("Banjo.ashley.spankssamespots",null)
	save("Banjo.ashley.spankssitspots",null)
	save("Banjo.ashley.spankswet",null)
	save("Banjo.ashley.spankscrack",null)
	save("Banjo.ashley.cornertime",null)
	save("Banjo.ashley.cornertimeMins",null)
	save("Banjo.ashley.badmood",null)
	save("Banjo.ashley.horny",null)
	save("Banjo.ashley.pissedoff",null)
	save("Banjo.ashley.busy",null)
	save("Banjo.ashley.sexytimes",null)
	save("Banjo.ashley.attitude",60)
	save("Banjo.ashley.AshHBpicset",null)
	save("Banjo.ashley.ashley_outfit_HB",null)
	save("Banjo.ashley.ashley_wearing_top",null)
	save("Banjo.ashley.ashley_wearing_bottom",null)
	save("Banjo.ashley.ashley_wearing_feet",null)
	save("Banjo.ashley.ashley_wearingbelt",null)
	save("Banjo.ashley.ashley_wearingstockings",null)
	save("Banjo.ashley.ashley_inherundies",null)
}

//Reset Session
def resetSession = {
	save("Banjo.ashley.behaved",null)
	save("Banjo.ashley.toldfibs",null)
	save("Banjo.ashley.dickhard",null)
	save("Banjo.ashley.wasbrave",null)
	save("Banjo.ashley.beggedformercy",null)
	save("Banjo.ashley.wassassy",null)
	save("Banjo.ashley.wasnaughty",null)
	save("Banjo.ashley.needmaintenance",null)
	save("Banjo.ashley.confessed",null)
	save("Banjo.ashley.weeklyOkay",null)
	save("Banjo.ashley.gotdoubleextras",null)
	save("Banjo.ashley.gotextra4bad",null)
	save("Banjo.ashley.lastvolleyextras",null)
	save("Banjo.ashley.cornertimeHands",null)
	save("Banjo.ashley.spanksthighs",null)
	save("Banjo.ashley.spanksinnerthighs",null)
	save("Banjo.ashley.spankscrowns",null)
	save("Banjo.ashley.spankssamespots",null)
	save("Banjo.ashley.spankssitspots",null)
	save("Banjo.ashley.spankswet",null)
	save("Banjo.ashley.spankscrack",null)
	save("Banjo.ashley.cornertime",null)
	save("Banjo.ashley.cornertimeMins",null)
	save("Banjo.ashley.pissedoff",null)
}

//Settings Menu
def settingsMenu = {
	def menuSettings = true
	while(menuSettings) {
		setImage("AshleyYHBS/System/Ashley_Tool.jpg")
		choice = getSelectedValue("Select Setting:", 
			["Back","Edit Evaluations","Edit Difficulty","Edit Dominant","Total Reset"])
		if(choice==0) {
			menuSettings = false
		} else if(choice==1) {
			editEvaluations()
			show("Changes saved.")
			showButton("Okay")
		} else if(choice==2) {
			editDifficulty()
		} else if(choice==3) {
			mistressChoose()
			show("Changes saved.")
			showButton("Okay")
		} else if(choice==4) {
			if(getBoolean("WARNING!\n\nThis will completely reset Ashley's memory and all record of her visits.\n\nAre you sure you want to so this?","Yes","No")) {
				resetAll()
				show("Total Reset complete.")
				showButton("Okay")
			} else {
				show("Total Reset cancelled.")
				showButton("Okay")
			}
		}
	}
}

//Cheat Menu
def cheatMenu = {
	def menuCheats = true
	while(menuCheats) {
		setImage("AshleyYHBS/System/Ashley_Tool.jpg")
		choice = getSelectedValue("Select Cheat:", 
			["Back","Edit Behaviour","Edit Mood","Edit Availability","Reset Fear & Devotion","Reset Session","Skip Intro"])
		if(choice==0) {
			menuCheats = false
		} else if(choice==1) {
			editAttitude()
			show("Changes saved.")
			showButton("Okay")
		} else if(choice==2) {
			editMood()
			show("Changes saved.")
			showButton("Okay")
		} else if(choice==3) {
			editAvailability()
			show("Changes saved.")
			showButton("Okay")
		} else if(choice==4) {
			resetFearAndDevotion()
		} else if(choice==5) {
			resetSession()
			resetEvaluation()
			show("Session Reset complete.")
			showButton("Okay")
		} else if(choice==6) {
			show("Please answer the following questions...")
			showButton("Okay")
			setPersonalInfo()
			skipIntro()
			show("Changes saved.")
			showButton("Okay")
		}
	}
}

//SCRIPT START
show(null)
setImage(null)
def correctLoad = loadString("Banjo.ashley.correctLoad")
def loadNext = loadString("Banjo.ashley.loadNext")
def menu = true
while(menu) {
	setImage("AshleyYHBS/System/Ashley_Loading.jpg")
	choice = getSelectedValue("<font size='20'><b>Ashley</b>\nYour Hottie Babysitter</font>\n\nBy Banjo\n\n\nVersion "+version+"", 
		["ASHLEY VISITS","Settings","Cheats","Implements","Exit"])
	if(choice==0) {
		mistressName = loadString("Banjo.ashley.mistressName")
		if(mistressName==null) {
			show("Please answer the following questions before you start...")
			showButton("Okay")
			mistressChoose()
		}
		if(mistressDomme)
			save("Banjo.ashley.attitude",loadInteger("domme.attitude"))
		correctLoad = "ashleybabysitter"
		save("Banjo.ashley.correctLoad",correctLoad)
		menu = false
		loadNext = "ashleybabysitter"
		save("Banjo.ashley.loadNext",loadNext)
		return "Banjo/ashleyoutfitsHB"
	} else if(choice==1) {
		settingsMenu()
	} else if(choice==2) {
		cheatMenu()
	} else if(choice==3) {
		save("Banjo.ashley.configimplements",true)
		menu = false
		return "System/implements"
	} else if(choice==4) {
		show(null)
		setImage(null)
		menu = false
	}
}

//SCRIPT END
